<template>
  <ob-table
    :items="items"
    :columns="columns"
  />
</template>

<script>
  import ObTable from 'common-components/src/obComponents/obTable';

  export default {
    name: "historyAdvance",
    components: {
      ObTable
    },
    props: {
      advance: {
        default: ''
      }
    },
    computed: {
      columns() {
        return [
          {
            title: '',
            key: 'icons',
            html: ({statistic, icon}) => {
              return `<i class="icon ${icon} ${statistic === 'Авансов запрошено' ? 'history-advance-success' : 'history-advance-warning'}"/>`
            }
          },
          {
            title: 'Статистика авансов',
            key: 'statistic',
            html: ({statistic}) => `<span>${statistic}</span>`
          },
          {
            title: 'Кол-во',
            key: 'count',
            html: ({count}) => `<span>${count}</span>`
          },
          {
            title: 'на сумму',
            key: 'amount',
            html: ({amount}) => `<span>${amount} ₽</span>`
          }
        ]
      },
      items() {
        return [
          {
            icon: 'auction',
            statistic: 'Авансов запрошено',
            count: '1',
            amount: '2 214 540'
          },
          {
            icon: 'auction',
            statistic: 'Авансов подтверждено',
            count: '47',
            amount: '23 551'
          }
        ]
      }
    }
  }
</script>

<style lang="scss">
  .history-advance {
    &-success {
      color: $color-green-light;
    }
    &-warning {
      color: $color-error;
    }
  }
</style>